summaryrefslogtreecommitdiffstats
path: root/graphics/scantailor/scantailor.SlackBuild
diff options
context:
space:
mode:
author Zhischenko Sergey <gishenko@mail.ru>2010-04-21 17:48:32 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-05-15 10:38:36 +0200
commiteaacd2c2b6e00ec250d0fba3d0b137aa8acbe392 (patch)
tree115a7e8fb6b1cf63d5d082cb4b74ce155fc1b5e9 /graphics/scantailor/scantailor.SlackBuild
parent2fe1805e14f59febc5a88d59d0c7a579c3a9907e (diff)
downloadslackbuilds-eaacd2c2b6e00ec250d0fba3d0b137aa8acbe392.tar.gz
slackbuilds-eaacd2c2b6e00ec250d0fba3d0b137aa8acbe392.tar.xz
graphics/scantailor: Added.
Scan Tailor is an interactive post-processing tool for scanned pages. Thanks to Zhischenko Sergey.
Diffstat (limited to 'graphics/scantailor/scantailor.SlackBuild')
-rwxr-xr-xgraphics/scantailor/scantailor.SlackBuild70
1 files changed, 70 insertions, 0 deletions
diff --git a/graphics/scantailor/scantailor.SlackBuild b/graphics/scantailor/scantailor.SlackBuild
new file mode 100755
index 0000000000..fb072bdb94
--- /dev/null
+++ b/graphics/scantailor/scantailor.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for scantailor
+
+# Written by Zhischenko Sergey <gishenko@mail.ru>
+
+PRGNAM=scantailor
+VERSION=${VERSION:-0.9.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_SKIP_RPATH:BOOL=YES \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING GPL3.txt VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}